/*
//*****************************************************************************
/*
*	@(#) Transform3D_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class Transform3D_Info extends ObjectInfo
{
	public Transform3D_Info()
	{
	}
	
	public int[] getCapabilityBits()
	{
		return super.getCapabilityBits();
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Transform3D\r\n";
		
		Transform3D t3d = (Transform3D) obj;
		
		szText += "Auto Normalize: " + t3d.getAutoNormalize() + "\r\n";
		szText += "Best Type: " + t3d.getBestType() + "\r\n";
		szText += "Determinant Sign: " + t3d.getDeterminantSign() + "\r\n";
		szText += "Scale: " + t3d.getScale() + "\r\n";
		szText += "Type: " + t3d.getType() + "\r\n";

		szText += "Transform: ->\r\n";
		szText += t3d.toString() + "\r\n";		
				
		return szText;
	}
}